#pragma once
#ifndef LAMPIMAGECREATECLASS_H
#define LAMPIMAGECREATECLASS_H
#include "AllHead.h"
#include <QDialog>
#include "ui_LAMPImageCreateClass.h"
#include "LAMPDataShowClass.h"

class LAMPImageCreateClass : public QDialog,public FEKOBase::FEKOSimulationDataparamsHandler
{
	Q_OBJECT

public:
	Q_INVOKABLE LAMPImageCreateClass(QWidget *parent = nullptr);
	~LAMPImageCreateClass();

private:
	Ui::LAMPImageCreateClassClass ui;

public:
	Q_INVOKABLE FEKOBase::FEKOImageSettingParams getFEKOImageSettingParams();

public slots:
	void on_pushButton_theta_clicked();
	void on_pushButton_phi_clicked();
	void on_pushButton_thetaimage_clicked();
	void on_pushButton_phiImage_clicked();
	
	void on_checkBoxTheta_toggled(bool flag);
	void on_checkBox_phi_toggled(bool flag);

	void on_pushButton_OK_clicked();
	void on_pushButton_cancel_clicked();

	void on_pushButton_loadfekosimulationxml_clicked();

public:
	QString workspace;
	QString xmlpath;
public:
	void OpenFEKOSimulationImageSettingXml(QString& xmlpath);
	void bandingsetFEKOSimulationDataparams() override;
 

};


#endif